mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Struct | System.AttributeTargets.Enum | System.AttributeTargets.Interface | System.AttributeTargets.Delegate | System.AttributeTargets.All, Inherited=false)

The attribute is primarily emitted by compilers. It serves two purposes:

For all imported types, it indicates that the type is intended to be used for type equivalence.

For types that don’t have GUIDs in their type library, it has a constructor that takes two strings ( and ). These are combined into a GUID and become the key that is used for type equivalence.

Type equivalence is discussed in the topic.

Provides support for type equivalence.

- Constructor
  4.0.0.0

  This constructor overload does not accept parameters. Therefore, interfaces that have this attribute use the type's GUID and simple name to establish type equivalence.

  Creates a new instance of the class.

- Constructor
  4.0.0.0

  The and parameters are used to establish type equivalence. They are combined into a GUID and become the key that is used for type equivalence. This constructor is particularly useful for types that do not have GUIDs in their type library.

  The class internally maintains the and parameters as private members.

  Creates a new instance of the class with the specified scope and identifier.

  The first type equivalence string.
  The second type equivalence string.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the value of the parameter that was passed to the constructor.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the value of the parameter that was passed to the constructor.